@font-face {
	font-family: "Noto Emoji";
	src: url("../fonts/NotoEmoji.woff") format('woff');
}

html {
	height: 100%;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body {
	/* position: relative; */
	height: 100vh;
	margin: 0;
	font-family: 'Helvetica Neue', 'Nimbus Sans L', Arial, sans-serif;
	font-size: 10pt;
	background-color: #c0c0c0;
	overflow: hidden;
}
html, button {
	cursor: url(../icons/ArrowSmall.cur), default;
}

::-webkit-scrollbar {
    width: 11px;
    background-color: #808080;
}

::-webkit-scrollbar-thumb {
	background-color: white;
	border: 2px solid #dddddd;
	border-radius: 11px;
}

/* common styles */
.sugarizer-canvas {
	background-color: white;
	overflow: hidden;
	height: 100vh;
}

.sugarizer-desktop {
	background-color: white;
	overflow: auto ;
	height: calc(100vh - 55px);
}

.column {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.input_field {
	border-radius: 22px;
	height: 25px;
	width: 250px;
	padding-left: 10px;
	padding-right: 10px;
	font-size: 10pt;
	border-width: 2px;
	border-color: #d0d0d0 #f3f3f3 #f3f3f3 #d0d0d0;
	background-color: #e5e5e5;
}

.locked_field:disabled {
	background-image: url(../icons/locked.svg);
	background-repeat: no-repeat;
	background-position: top 3px right 10px;
	background-size: 20px 20px;
}

.input_field:focus {	
	outline: none;
	background-color: white;
}

input[type="checkbox"], input[type="radio"] {
	width: 22px;
	height: 22px;
	margin: 2px 2px 4px 2px;
	margin-left: 2px;
	vertical-align: middle;
	background-position: center;
	background-size: contain;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	cursor: inherit;
 }

input[type="checkbox"]:checked {
	background-image: url(../icons/checkbox-checked.svg);
}

input[type="checkbox"] {
	background-image: url(../icons/checkbox-unchecked.svg);
}
a {
	color: #0076c3;
	text-decoration: none;
}

#shutdown-image {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 100;
    background: url("../images/uiwarning.png") top/cover no-repeat, #000;
    background-size: auto 100%;
}

/* sugar-vue-Icon */
.test {
    width:80px;
    height:50px;
    background-color:#808080;
    margin:20px;
}
.icon {
	padding: 6px 2px 2px 0px;
	width: fit-content;
}

.listview_left .icon {
	padding: 5px;
}

.icon:hover {
	background-color: #d5d5d5;
	border-radius: 5px;
}
/* sugar-vue-IconButton */

.web-activity-disable {
	color: black !important;
	opacity: 0.5;
	pointer-events: none;
}

.icon-button {
	display: flex;
	width: max-content;
	cursor:pointer;
	border-radius: 22px;
	margin-top: 5px;
	padding: 2px 10px;
	height: 35px;
	color: white;
	background-color: #808080;
	border: 2px solid #808080;
	align-items: center;
}
.icon-button .icon {
	padding: 0;
}

.icon-button-text {
	width:inherit;
	padding: 0px 10px;
	display: inline-block;
}

/* sugar-vue-SearchField */

.search-field-border {
	border-radius: 22px;
	width: 350px;
	height: 35px;
	display: inline-block;
	position: relative;
}

.search-field-border-focus {
	background-color: white;
	border: 2px solid white;
}

.search-field-border-nofocus {
	background-color: #e5e5e5;
	border: 2px solid #e5e5e5;
}

.search-field-iconsearch {
	position: absolute;
	background-image: url(../icons/entry-search.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: 20px 20px;
	left: 6px;
	width: 20px;
	height: 20px;
	display: inline-block;
	top: 50%;
	transform: translateY(-50%);
}

.search-field-iconcancel {
	position: absolute;
	background-image: url(../icons/entry-cancel.svg);
	background-repeat: no-repeat;
	background-position: center;
	right: 10px;
	background-size: 20px 20px;
	width: 20px;
	height: 20px;
	display: inline-block;
	top: 50%;
	transform: translateY(-50%);
}

.search-field-input {
	opacity: 1;
	margin-left: 30px;
	border: 0px !important;
	display: inline-block;
	background-color: #e5e5e5;
	width: 270px;
	line-height: 22px;
	outline: 0;
	font-size: 10pt;
	position: relative;
	top: 50%;
	transform: translateY(-50%);
}

.search-field-input:focus {
	background-color: white;
}

.search-field-input:disabled {
	border-color: #808080;
	background-color: #808080;
}

/* sugar-vue-PopUp */

.home-activity-popup {
	position: absolute;
	z-index: 99;
	transition: top 0.3s, left 0.3s;
}

.popup-title {
	display: flex;
	background-color: black;
	color: white;
	border-color: #808080;
	border-style: solid;
	border-width: 2px;
	z-index: 1;
}

.popup-title:hover{
	background-color: #808080;
}

.item-icon-title {
	margin: 0px 4px;
	padding: 4px;
	align-self: center;
}

.popup-content {
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding-block: 16px;
}
.popup-name-text {
	margin-left: 2px;
	margin-right: 30px;
	font-weight: bold;
	min-height: 16px;
	z-index: 1;
}
.popup-title-text {
	margin-left: 2px;
	margin-top: 0px;
	margin-right: 30px;
}

.popup-items {
	background-color: black;
	color: white;
	border-color: #808080;
	border-style: none solid solid solid;
	border-width: 2px;
	z-index: 1;
	max-height: 80vh;
	overflow-y: auto;
}

.popup-item-disabled, .popup-title-disabled {
	pointer-events: none;
	user-select: none;
}
.popup-item-disabled {
	opacity: .6;
}

.popup-footer :hover{
	background-color: #808080;
}

.popup-item-listview {
	padding: 8px 0px 8px 0px;
}

.item-list-item {
	display: flex;
	height: 40px;
	z-index: 1;
}

.item-list-item:hover{
	background-color: #808080;
}

.item-icon {
	margin: 2px;
	padding: 8px;
	align-self: center;
}

.item-name {
	width: 100%;
	margin-top: 0px;
	margin-right: 10px;
	padding: 10px;
	z-index: 1;
}

/* sugar-vue-Prompt */
.prompt-container {
	background-color: #080808;
	color: white;
	border-radius: 2px;
	overflow: hidden;
	position: absolute;
	top: 50%;
	left: 50%;
	min-width: min(550px, 90vw);
	max-width: 100vw;
	box-shadow: 0 0 0 100vw rgba(0, 0, 0, .7);
	transform: translate(-50%, -50%);
	z-index: 100;
	outline: none;
	gap: 1rem;
}
#prompt-icon {
	padding-top: 6px;
}
.prompt-header {
	font-weight: bold;
	padding: 0rem 1rem;
	background-color: #282828;
	display: flex;
	align-items: center;
	gap: 1rem;
}
#prompt-cancel {
	margin-left: auto !important;
}

.prompt-content {
	padding: .5rem 1.2rem;
}
.prompt-para {
	line-height: 1.6;
}

.prompt-btn-container {
	display: flex;
	gap: 14px;
	padding-block: 0.8rem;
}
.prompt-btn-container .icon-button {
	min-width: 120px;
}

/* vue-transition-for-prompt */
.bounce-prompt-enter-active {
	animation: bounce-in 0.5s;
}
.bounce-prompt-leave-active {
	animation: bounce-in 0.5s reverse;
}
@keyframes bounce-in {
	0% {
		opacity: 0;
		transform: translate(-50%, -50%) scale(0.5);
	}
	50% {
		opacity: 1;
		transform: translate(-50%, -50%) scale(1.04);
	}
	100% {
		transform: translate(-50%, -50%) scale(1);
	}
}




/* sugar-vue-SelectBox */

.selectbox-border {
	border-radius: 22px;
	height: 30px;
	display: inline-block;
	background-color: #808080;
	border: 2px solid #808080;
}

.selectbox-bar {
	display: flex;
	flex-direction: row;
}

.selectbox-icon {
	position: absolute;
	margin: 4px 10px 10px 8px;
}

.selectbox-double {

}
.selectbox-text {
	color: white;
	width: fit-content;
	position: relative;
	top: 6px;
	margin-left: 36px;
	margin-right: 30px;
}

.selectbox-arrow {
	width: 20px;
	position: relative;
	top: 6px;
	margin-left: 0px;
	margin-right: 10px;
	height: 50px;
	background-image: url(../icons/control-popup-arrow.svg);
	background-repeat: no-repeat;
	background-position: 95% 15%;
}

/* sugar-vue-FilterBox */

.filterBox-demo {
	background-color: #282828;
}

.filterBox-sugarizer {
	height: 50px;
	width: fit-content;
	color: white;
	border: 2px solid transparent;
	border-bottom: 0;
	position: relative;
}

.filterBox {
	display: flex;
	height: 100%;
	padding-inline: 6px;
}

.filterBox-sugarizer:hover {
	background-color: black;
}

.filterBox-icon {
	margin-top: 8px !important;
}

.filterBox-down {
	background-image: url('../icons/arrow-down.svg');
	background-repeat: no-repeat;
	background-position-y: bottom;
	background-position-x: center;
}

.filterBox-up {
	background-image: url('../icons/arrow-up.svg');
	background-repeat: no-repeat;
	background-position-y: bottom;
	background-position-x: center;
	background-color: black;
	background-size: 47px;
	border-color: #808080;
}

.filterBox-text {
	margin-top: 14px;
	margin-left: 4px;
}

.filterBox-content {
	position: absolute;
	background-color: black;
	max-width: 270px;
	min-width: 200px;
	pointer-events: auto;
	border: 2px solid #808080;
	color: white;
	overflow: auto;
	z-index: 1;
	top: 100%;
	left: 0;
}

.filterBox-header {
	height: 40px;
	margin-left: 8px;
	margin-right: 5px;
	margin-bottom: 10px;
	font-weight: bold;
	line-height: 50px;
	-webkit-user-select: none;
	-moz-user-select: none;
}

.filterBox-hr {
	border: 1px solid #808080;
	margin-top: 0;
}

.filterBox-items {
	background-color: black;
	color: white;
	border-width: 2px;
	z-index: 1;
	max-height: 80vh;
	overflow-y: auto;
}

.filterBox-items .filterBox-text, .filterBox-items .filterBox-icon {
	margin-top: 0 !important;
}

.filterBox-items-item {
	display: flex;
	height: 35px;
	padding: 6px 8px;
	align-items: center
}

.filterBox-items-item:hover {
	background-color: #808080;
}


/* sugar-vue-Password */

.password-demo {
	background-color: white;
}

.password-line {
	vertical-align: middle;
	text-align: center;
	width: 380px;
	margin-left: auto;
	margin-right: auto;
}

.password-input {
	text-align: center;
	display: inline-block;
	border-width: 2px;
	border-style: inset;
	border-top-color: #9a9a9a;
	border-right-color: #eeeeee;
	border-bottom-color: #eeeeee;
	border-left-color: #9a9a9a;
	border-image: initial;
	border-width: 2px;
	border-style: solid;
	border-radius: 30px;
	width: 310px;
	height: 36px;
}

.password-value {
	font-size: 16pt;
	font-family: "Noto Emoji";
	border: none;
	width: 270px;
	padding: 4px;
	line-height: 30px;
	min-height: 30px;
	background-color: white;
	padding: 1px;
	text-align: left;
	outline: 0;
	margin-left: 10px;
	margin-top: 3px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	display: inline-block;
}

.password-iconcancel {
	position: relative;
	background-image: url(../icons/entry-cancel.svg);
	background-repeat: no-repeat;
	background-position: center;
	top: 2px;
	right: 10px;
	background-size: 20px 20px;
	width: 20px;
	height: 20px;
	margin-left: 0px;
	display: inline-block;
}

.password-label {
	position: relative;
	left: 20px;
	margin-top: 20px;
	color: #808080;
	width: 350px;
	margin-bottom: 5px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.password-emojis {
	margin-top: 10px;
	display: inline-block;
}

.password-emojis-line {
}

.password-emojis-category {
	margin-top: 10px;
	display: inline-block;
	vertical-align: top;
}

.emoji {
	display: inline-block;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border: 2px solid #e5e5e5;
}

.emoji-selected {
	background-color: white;
}

.emoji-unselected {
	background-color: #e5e5e5;
}

.emoji-flash {
	background-color: #e5e5e5;
}

.emoji-icon {
	font-size: 24pt;
	font-family: "Noto Emoji";
	padding-left: 8px;
	padding-top: 6px;
	padding-right: 8px;
}

.emoji-letter {
	font-size: 8pt;
	text-align: right;
	padding-right: 4px;
	padding-bottom: 4px;
}

.emoji-category {
	display: block;
	border: 2px solid #e5e5e5;
	border-radius: 0px 26px 26px 0px;
}

.emoji-category-icon {
	font-size: 15pt;
	font-family: "Noto Emoji";
	padding-left: 8px;
	padding-top: 6px;
	padding-right: 8px;
}

.hidden-emoji {
	font-family: "Noto Emoji";
	position: absolute;
	top: -10000px;
	left: -10000px;
}

/* sugar-vue-Dialog */

.modal-overlay {
	position: fixed;
	width: 95%;
	max-width: 800px;
	height: 95%;
	max-height: 500px;
	display: flex;
	justify-content: center;
	z-index: 50;
}

.modal {
	z-index: 5;
	width: 800px;
	height: 500px;
}

.dialog-content {
	position: absolute;
	display: flex;
	flex-direction: column;
	width: 100%;
	max-width: 800px;
	height: 100%;
	max-height: 500px;
	background-color: #000000;
	border: 2px solid #808080;
	color: white;
	overscroll-behavior-y: contain;
	overflow-y: auto;
}

.settings-filter-text {
	position: relative;
	margin-left: 10px;
	margin-top: 0px;
	width: 350px;
}

.settings-tool-button {
	color: transparent;
	background-color: transparent;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	border: 0;
	border-radius: 5.5px;
	margin: 4px 2px;
}

.toolbar {
	height: 55px;
	min-height: 55px;
	padding: 0 35px 0 55px;
	color: white;
	background-color: #282828;
	-webkit-user-select: none;
	-moz-user-select: none;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.tool_rightitems {
	display: flex;
	align-items: center;
	gap: 10px;
}

.toolbar hr {
	display: inline-block;
	height: 45px;
	margin: 4px;
	border: 1px solid #656565;
}

.toolbar .toolbutton {
	width: 47px;
	height: 47px;
	margin: 4px 2px;
	padding: 0px;
	border-radius: 5.5px;
}

.toolbar .toolbutton:hover, #prompt-cancel:hover {
	background-color: black;
}

.active{
	background-color: #808080;
}

.toolbar .toolbutton.active:hover {
	background-color: #808080;
}

#view_home_button.active .xo-color768{
	--fill-color: #808080;
}

.tool_leftitems {
	display: flex;
	align-items: center;
	gap: 20px;
}

.module-dialog {
	width: 100%;
	max-width: 800px;
	height: 100%;
	max-height: 500px;
	overscroll-behavior-y: contain;
	overflow-y: auto;
	background-color: #ffffff;
	border: 2px solid #808080;
}

.module-icon {
	position: absolute;
	left: 10px;
}

.module-text {
	margin-left: 20px;
	color: white;
	word-wrap: break-word;
}

.module-cancel-button {
	background-image: url(../icons/dialog-cancel.svg);
	position: absolute !important;
	top: 5px;
	right: 60px;
	width: 35px !important;
	height: 35px !important;
}

.module-ok-button {
	background-image: url(../icons/dialog-ok.svg);
	position: absolute !important;
	top: 5px;
	right: 15px;
	width: 35px !important;
	height: 35px !important;
}

.module-cancel-button-only {
	background-image: url(../icons/dialog-cancel.svg);
	position: absolute !important;
	top: 5px;
	right: 15px;
	width: 35px !important;
	height: 35px !important;
}

.dialog-items {
	display: grid;
	grid-template-columns: repeat(3, 1fr); /* 3 columns in each row */
	gap: 50px; 
	padding: 30px 20px;
}

.dialog-items > div{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.dialog-item-text {
	padding-top: 4px;
}

.dialog-item-disable {
	color: #808080 !important;
	pointer-events: none;
}

.dialog-item-disable :first-child {
	opacity: 0.8;
}

.computer-content {
	max-height: 90%;
	color: black;
	overscroll-behavior-y: contain;
	overflow-y: auto;
	background-color: white;
	height: inherit;
}

.computer-software {
	border-color: #808080;
	border-style: solid none none none;
	border-width: 2px;
	margin-left: 20px;
	margin-top: 20px;
}

.computer-sugarizer,
.computer-clienttype,
.computer-browser,
.computer-browserversion,
.computer-storage,
.computer-useragent,
.computer-reinit {
	color: #808080;
	text-align: right;
	width: 200px;
	margin-top: 10px;
	display: inline-block;
}
.computer-sugarizer {
	margin-top: 20px;
}
.computer-reinit {
	margin-left: 26px !important;
}

.computer-line {
}

.computer-copyright {
	border-color: #808080;
	border-style: solid none none none;
	border-width: 2px;
	margin-left: 20px;
	margin-top: 30px;
}

.computer-contributor {
	margin-left: 30px;
	margin-top: 20px;
	display: inline-block;
}

.computer-contributor-link {
	display: inline-block;
	text-decoration: underline;
}

.computer-licence {
	margin-left: 30px;
}

.computer-value {
	margin-left: 10px !important;
	color: black;
	display: inline-block;
}
.computer-value #warn-icon {
	vertical-align: middle;
}

.language-message {
	margin-left: 20px;
	margin-top: 20px;
	color: #808080;
}

.language-select {
	margin-left: 30px;
	margin-top: 30px;
	color: white;
	width: 200px;
}

/* first screen */
.firstscreen {
	position: relative;
	top: 42vh;
}

.firstscreen_landing {
	display: flex;
	justify-content: center;
	gap: 20px;
}

.firstscreen_text {
	color: #808080;
}

/* login screen */
#loginscreen_name,
#loginscreen_server,
#loginscreen_iconchoice {
	gap: 15px;
}

.loginscreen_buttons {
	width: 100%;
	display: flex;
	justify-content: space-between;
}

.ls_left_btn {
	position: fixed;
	bottom: 50px;
	left: 50px;
}

.ls_right_btn {
	position: fixed;
	bottom: 50px;
	right: 50px;
}

.ls_right_absolute_btn {
	position: absolute;
	bottom: 50px;
	right: 50px;
}

.ls_icon_btn {
	width: fit-content;
}

.loginscreen_warning {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 15px;
}

.login-policytext {
	text-align: center;
	width: 100%;
	display: inline-block;
	margin-top: 10px;
}

#loginscreen_password {
	position: relative;
	top: -15vh;
}

.loginscreen_help #help-icon, .firstscreen_help #help-icon {
	position: fixed;
	top: 60px;
	left: 10%;
	width: min-content;
	margin-inline: auto;
 }
.firstscreen_help {
	display: flex;
	justify-content: space-between;
}
.firstscreen_help #stop-icon {
	position: fixed;
	top: 60px;
	right: 10%;
}
#login-icon.introjs-showElement, #newuser-icon.introjs-showElement, #stop-icon.introjs-showElement {
	filter: brightness(.5);
}

/* listview */
.listview {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 5px 50px 0px 0px;
}

.listview_left {
	display: flex; 
	align-items: center;
	gap: 15px;
}
.activity-name {
	font-size: 14px;
	font-weight: bold;
	width: 150px;
}

.activity-version {
	font-size: 14px;
}

/* homescreen */
.home-icon, .network-icon {
	position: absolute;
}

.web-activity-disable {
	opacity: 0.5;
}

.sync-gear {
	animation-name: sync-frame;
	animation-duration: 2s;
	animation-iteration-count: infinite;
}

#toolbar-assignment-btn {
	position: relative;
}
#toolbar-assignment-btn .assignment-count {
	position: absolute;
	border-radius: 40px;
    padding: 1px 6px;
    bottom: -2px;
    right: -8px;
    font-size: 16px;
    background: #5c5c5c;
}

@keyframes sync-frame {
	0% {
		transform: rotate(0deg);
	}
	50% {
		transform: rotate(-180deg);
	}
	100% {
		transform: rotate(-360deg);
	}
}

/* settings screen */
.settings-subscreen {
	background-color: #ffffff;
	height: 100%;
}

.aboutme-box {
	display: flex;
	flex-direction: column;
	gap: 20px;
	padding: 20px;
}

.aboutme-iconbox {
	display: flex;
	align-items: center;
	justify-content: center;
}

.aboutme-cicon {
	border-color: #808080;
	border-style: none solid none solid;
	border-width: 3px;
}

.aboutme-input {
	margin: 30px auto 0px auto;
}

.aboutme-warning {
	color: #808080;
	display: flex;
	align-items: center;
}

#language-btn {
	display: flex;
	width: max-content;
	border-radius: 22px;
	padding: 0px 0px 0px 20px;
	height: 35px;
	color: white;
	background-color: #808080;
	border: 2px solid #808080;
	margin-left: 20px;
	align-items: center;
	text-align: center;
	justify-content: space-around;
	width: 180px;
}

.aboutserver-subbox {
	display: flex;
	align-items: center;
	gap: 10px;
	margin-top: 10px;
}

.aboutserver-detailbox {
	display: grid;
	justify-content: center;
}

.aboutserver-leftitem {
	width: 150px;
	text-align: right;
}

.aboutserver-rightitem {
	width: 300px;
	text-align: left;
	color: black;
}

.aboutserver-checkbox {
	position: absolute;
	left: 10px;
	margin-top: 20px;
}

.aboutserver-username {
	width: 200px;
}

#aboutserver-serverurl {
	margin-top: 60px;
}

#aboutserver-warning {
	margin-top: 60px;
}

.aboutserver-passwordtext {
	margin-top: 50px;
}

.aboutserver-password {
	color: black;
}

.aboutserver-nextbutton {
	margin-top: 20px;
}

.aboutserver-privacybox {
	display: grid;
	margin-top: 80px;
	justify-content: center;
}

.aboutserver-privacy {
	margin-top: 20px;
}

.aboutserver-policytext {
	margin-top: 10px;
}

.privacy-removelocalbutton {
	display: inline-block;
	margin-left: 70px;
}

.security-message {
	position: absolute;
	left: 20px;
	margin-top: 20px;
	color: #808080;
}

.security-password {
	position: absolute;
	margin-top: 50px;
	margin-left: 50px;
}

.security-rightbutton {
	position: absolute;
	margin-left: 350px;
	margin-top: 290px;
	width: 120px;
}

.security-warning {
	position: absolute;
	color: #808080;
	background-image: url(../icons/emblem-warning.svg);
	background-repeat: no-repeat;
	background-position: left;
	background-size: 15px 15px;
	left: 20px;
	bottom: 30px;
	width: 300px;
	padding-left: 20px;
 }

 .privacy-statscheckbox {
	position: relative;
	margin-left: 30px !important;
	margin-top: 40px !important;
}

.privacy-statsmessage {
	margin-left: 10px;
	margin-top: 20px;
	vertical-align: bottom;
	color: black;
	height: 24px;
	display: inline-block;
}

.privacy-synccheckbox {
	position: relative;
	margin-left: 30px !important;
	margin-top: 40px !important;
}

.privacy-syncmessage {
	position: relative;
	margin-left: 10px;
	margin-top: 20px;
	vertical-align: bottom;
	color: black;
	height: 24px;
	display: inline-block;
}

.privacy-removecheckbox {
	position: relative;
	margin-left: 30px !important;
	margin-top: 40px !important;
}

.privacy-removemessage {
	position: relative;
	margin-left: 10px;
	margin-top: 20px;
	vertical-align: bottom;
	color: black;
	height: 24px;
	display: inline-block;
}

.privacy-removeremotebutton {
	margin-left: 70px;
	margin-top: 10px;
	display: inline-block;
	width: 240px;
}

.privacy-warningmessage {
	position: absolute;
	color: #808080;
	background-image: url(../icons/emblem-warning.svg);
	background-repeat: no-repeat;
	background-position: left;
	background-size: 15px 15px;
	left: 20px;
	bottom: 20px;
	width: 300px;
	padding-left: 20px;
}

.settings-warningbox {
	background-color: #000000;
	width: 100%;
	height: 55px;
}

.warningbox-title {
	position: absolute;
	font-weight: bold;
	color: white;
	left: 10px;
	top: 66px;
}

.warningbox-message {
	position: absolute;
	color: white;
	left: 10px;
	top: 82px;
}

.warningbox-cancel-button {
	position: absolute;
	right: 240px;
	width: 210px;
	padding: 0px 5px;
	margin-top: 10px;
}

.warningbox-refresh-button {
	position: absolute;
	right: 10px;
	width: 210px;
	padding: 0px 5px;
	margin-top: 10px;
}
#tick-icon {
	height: 20px;	
}

.hidden-emoji {
	font-family: "Noto Emoji";
	position: absolute;
	top: -10000px;
	left: -10000px;
}

/* journal screen */
.toolbar-disabled {
	pointer-events: none;
	filter: brightness(0.6);
}
#typepalette .filterBox-items {
	height: 74vh;
}
.journal-toolleft {
	gap: 10px !important;
}
.journal-list-container {
	position: absolute;
	top: 55px;
	left: 0;
	height: calc(100vh - 110px);
	overflow-y: auto;
	width: 100%;
	background-color: white;
}
.journal-list-container.expanded {
	height: calc(100vh - 55px);
}

.journal-warningbox {
	background-color: #000000;
	height: 55px;
	color: white;
	display: flex;
	align-items: center;
	padding-inline: 12px;
	position: relative;
	z-index: 1;
}
#journal-listview {
	margin-inline: auto;
	padding-left: 10px;
	padding-right: 40px;
}
#journal-listview .activity-name {
	width: auto;
	flex: 1;
	min-width: 0;
}
#journal-listview input.activity-name {
	flex: none;
	width: 250px;
}
#journal-listview .activity-name.nonEditing {
	border: none;
	cursor: inherit;
	outline: none;
}
#journal-listview .listview_left, .assignment-container {
	width: 100%;
}
#journal-listview span, #journal-listview .journal-checkbox {
	flex-shrink: 0;
}
#journal-listview .journal-checkbox {
	width: 18px;
	height: 18px;
}
#journal-listview .journal-star {
	padding: 10px .5rem;
}
.assignment-container {
	display: flex;
	margin-left: 4vw;
	column-gap: 2vw;
	align-items: center;
	flex-wrap: wrap;
}
.assignment-container h3 {
	margin-block: 0px;
}
.journal-footer {
	position: absolute;
	inset: 0;
	top: auto;
	justify-content: left;
}
.journal-footer .icon {
	margin-right: .7rem !important;
}
#journal-sync {
	margin-left: 34% !important;
}

/* neighborhood screen */
.server-error {
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	height: 90%;
}
.cloud-empty {
	margin-inline: auto;
	margin-bottom: 1.2rem;
	background: url(../icons/cloud-warning.svg) no-repeat center / 50px 50px;
	width: 50px;
	height: 50px;
}

/* Vue animation */
.fade-enter-active,
.fade-leave-active {
	transition: opacity 0.3s ease-in;
}
.fade-fast-enter-active,
.fade-fast-leave-active {
	transition: opacity 0.2s ease-out;
}
.fade-fast-enter-from,
.fade-fast-leave-to,
.fade-enter-from,
.fade-leave-to {
	opacity: 0;
}

.bounce-enter-active {
	animation: bounce 0.3s;
}
.bounce-leave-active {
	animation: bounce 0.4s reverse;
}

@keyframes bounce {
	0% {
		opacity: 0;
		transform: scale(.6);
	}
	50% {
		transform: scale(1.1);
	}
	100% {
		opacity: 1;
		transform: scale(1);
	}
}

/* Handle small screen resolution */
@media screen and (max-width: 800px) {
	.journal-view .toolbar {
		padding-inline: 4px;
	}
	.journal-view .search-field-input {
		width: 0px !important;
		transition: width .5s;
	}
	.journal-view .search-field-border:focus .search-field-input, .journal-view .search-field-input:focus {
		width: 150px !important;
	}
	.search-field-iconcancel {
		display: none;
	}
	.journal-view .search-field-border {
		width: min-content;
		overflow: hidden;
	}
}
@media screen and (max-width: 540px) {
	.search-field-border {
		display: none;
	}
	#toolbar-help-btn {
		display: none;
	}
}

@media screen and (min-width: 540px) and (max-width: 1023px) {
	.search-field-border {
		width: 200px;
	}

	.search-field-input {
		width: 120px !important;
	}
}

@media screen and (min-width: 1081px) {
	.listview {
		padding: 5px 200px 5px 0px;
	}
}

@media screen and (max-height: 450px) {
	.firstscreen {
		position: relative;
		top: 25vh;
	}

	.loginscreen{
		position: relative;
		top: 15vh;
	}

	#loginscreen_iconchoice, #loginscreen_privacy{
		position: relative;
		top: -10vh;
	}
}

@media screen and (max-width: 500px){
}

/*no matching activities display in listview */
.no-matching-activities {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: grid;
	grid-template-rows: 3;
	text-align: center;
}

.no-matching-activities > div {
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 10px;
}  
.loading-activities-message {
	position: fixed;
	top: 50%;
	left: 47%;
	font-size: large;
}


/*loader*/
.loading-spinner {
	position: absolute;
	top: 0;
	left: 0;
	display: grid;
	place-content: center;
	background: rgba(0, 0, 0, 0.3);
	width: 100%;
	height: 100%;
	z-index: 100;
	user-select: none;
}
.journal-loader img {
	display: block;
	margin: 14px auto 24px auto;
}

/* QR code scanner */
.first-qrbackground {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height:100vh;
	visibility: visible;
	background-color: transparent;
	z-index: 4;
}

.first-qrclose-button {
	background-image: url(../icons/dialog-cancel.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: 47px;
	background-color: transparent;
	border: 0;
	border-radius: 0px;
	margin: 1px;
	width: 42px;
	height: 42px;
	top: 10px;
	left: 95%;
	position: absolute;
	visibility: hidden;
	z-index: 5;
}

.first-qrswitch-button {
	background-image: url(../icons/switch-camera.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-color: transparent;
	border: 0;
	border-radius: 0px;
	margin: 1px;
	width: 42px;
	height: 42px;
	bottom: 10px;
	left: 95%;
	position: absolute;
	visibility: hidden;
	z-index: 5;
}
